% The IR sequence is approximated here
function [Intensity ] = IR( Tissue, tr, te, ti, Magnitude )
% Conventionally the flip angle is given in degrees...
    E1i = exp(-ti ./ Tissue.t1);
    E1r = exp(-(tr-te) ./ Tissue.t1);
    Intensity = Tissue.pd .* exp(-te./Tissue.t2) .* (1 - 2*E1i + E1r);
    if( Magnitude )
        Intensity = abs(Intensity);
    end
    return;

